<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Bad Plugins 1.0 Plugins Reference Manual: faac</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Bad Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-plugins-bad Elements">
<link rel="prev" href="gst-plugins-bad-plugins-eglglessink.html" title="eglglessink">
<link rel="next" href="gst-plugins-bad-plugins-faad.html" title="faad">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-faac.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-faac.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-faac.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties"> <span class="dim">|</span> 
                  <a href="#gst-plugins-bad-plugins-faac.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-bad-plugins-eglglessink.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-bad-plugins-faad.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-bad-plugins-faac"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-bad-plugins-faac.top_of_page"></a>faac</span></h2>
<p>faac — Free MPEG-2/4 AAC encoder</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-faac.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-faac.html#GstFaac--bitrate" title="The “bitrate” property">bitrate</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-faac.html#GstFaac--midside" title="The “midside” property">midside</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstFaacOutputFormat</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-faac.html#GstFaac--outputformat" title="The “outputformat” property">outputformat</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstFaacProfile</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-faac.html#GstFaac--profile" title="The “profile” property">profile</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstFaacShortCtl</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-faac.html#GstFaac--shortctl" title="The “shortctl” property">shortctl</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-faac.html#GstFaac--tns" title="The “tns” property">tns</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-faac.html#GstFaac--quality" title="The “quality” property">quality</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstFaacBrtype</span></td>
<td class="property_name"><a class="link" href="gst-plugins-bad-plugins-faac.html#GstFaac--rate-control" title="The “rate-control” property">rate-control</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
</tbody>
</table></div>
</div>
<a name="GstFaac"></a><div class="refsect1">
<a name="gst-plugins-bad-plugins-faac.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-plugins-bad-plugins-faac.html#GstFaac-struct" title="struct GstFaac">GstFaac</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-faac.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstObject.html">GstObject</a>
            <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstElement.html">GstElement</a>
                <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstaudioencoder.html#GstAudioEncoder">GstAudioEncoder</a>
                    <span class="lineart">╰──</span> GstFaac
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-faac.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GstFaac implements
 <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPreset.html">GstPreset</a>.</p>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-faac.description"></a><h2>Description</h2>
<div class="refsynopsisdiv">
<h2>Synopsis</h2>
<div class="refsect2">
<a name="id-1.2.29.8.2.1"></a><h3>Element Information</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">plugin</span></p></td>
<td>
            <a class="link" href="gst-plugins-bad-plugins-plugin-faac.html#plugin-faac">faac</a>
          </td>
</tr>
<tr>
<td><p><span class="term">author</span></p></td>
<td>Ronald Bultje &lt;rbultje@ronald.bitfreak.net&gt;</td>
</tr>
<tr>
<td><p><span class="term">class</span></p></td>
<td>Codec/Encoder/Audio</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="id-1.2.29.8.2.2"></a><h3>Element Pads</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, channels=(int)[ 1, 6 ]</td>
</tr>
</tbody>
</table></div>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>src</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>source</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>audio/mpeg, mpegversion=(int)4, channels=(int)[ 1, 6 ], rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, stream-format=(string){ adts, raw }, base-profile=(string){ main, lc, ssr, ltp }</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/mpeg, mpegversion=(int)2, channels=(int)[ 1, 6 ], rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, stream-format=(string){ adts, raw }, profile=(string){ main, lc }</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-faac.functions_details"></a><h2>Functions</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-faac.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstFaac-struct"></a><h3>struct GstFaac</h3>
<pre class="programlisting">struct GstFaac;</pre>
<p>
</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-bad-plugins-faac.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GstFaac--bitrate"></a><h3>The <code class="literal">“bitrate”</code> property</h3>
<pre class="programlisting">  “bitrate”                  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Average Bitrate (ABR) in bits/sec.</p>
<p>Flags: Read / Write / Construct</p>
<p>Allowed values: [8000,320000]</p>
<p>Default value: 128000</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFaac--midside"></a><h3>The <code class="literal">“midside”</code> property</h3>
<pre class="programlisting">  “midside”                  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Allow mid/side encoding.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: TRUE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFaac--outputformat"></a><h3>The <code class="literal">“outputformat”</code> property</h3>
<pre class="programlisting">  “outputformat”             <span class="type">GstFaacOutputFormat</span></pre>
<p>Format of output frames.</p>
<p>Flags: Read / Write</p>
<p>Default value: OUTPUTFORMAT_RAW</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFaac--profile"></a><h3>The <code class="literal">“profile”</code> property</h3>
<pre class="programlisting">  “profile”                  <span class="type">GstFaacProfile</span></pre>
<p>MPEG/AAC encoding profile.</p>
<p>Flags: Read / Write</p>
<p>Default value: LC</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFaac--shortctl"></a><h3>The <code class="literal">“shortctl”</code> property</h3>
<pre class="programlisting">  “shortctl”                 <span class="type">GstFaacShortCtl</span></pre>
<p>Block type encorcing.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: SHORTCTL_NORMAL</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFaac--tns"></a><h3>The <code class="literal">“tns”</code> property</h3>
<pre class="programlisting">  “tns”                      <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Use temporal noise shaping.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFaac--quality"></a><h3>The <code class="literal">“quality”</code> property</h3>
<pre class="programlisting">  “quality”                  <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>Variable bitrate (VBR) quantizer quality in %.</p>
<p>Flags: Read / Write / Construct</p>
<p>Allowed values: [1,1000]</p>
<p>Default value: 100</p>
</div>
<hr>
<div class="refsect2">
<a name="GstFaac--rate-control"></a><h3>The <code class="literal">“rate-control”</code> property</h3>
<pre class="programlisting">  “rate-control”             <span class="type">GstFaacBrtype</span></pre>
<p>Encoding bitrate type (VBR/ABR).</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: VBR</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>